# Ansible Training

Le but est de créer une recette toute neuve ansible qui installe 2 vagrants faisant un lamp de base avec php d'un côté, et mysql de l'autre.

# Setup & Run

```
make ansible
source venv/bin/activate
vagrant up
ansible-playbook -i hosts playbook.yml --vault-password-file static/.vault_pass
```

Puis aller dans votre navigateur favori, puis sur l'adresse *http://bttrainingweb.example.com/*

# Vidéos regardés / Tutos Suivi

 - [Grafikart Ansible](https://www.grafikart.fr/formations/serveur-linux/ansible)
 - [Grafikart Vagrant](https://www.grafikart.fr/tutoriels/hebergement/vm-vagrant-chef-solo-482)
 - [Grafikart Ansible php Mysql](https://www.grafikart.fr/formations/deploiement-ansible-ansistrano/installation)

# To Do List

 - [x] Recréer l'environnement de Ansible
 - [x] Créer deux vms via Vagrant
 - [x] Setup nginx
 - [x] Setup php
 - [x] Setup MySQL
 - [x] Link the two vagrants images to SQL queries
 - [x] Have Awesome HomePage